/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
import { ErrorHandler, NgModule } from '@angular/core';

class MyErrorHandler {
    /**
     * @param {?} error
     * @return {?}
     */
    handleError(error) {
        console.dir(error);
        return true;
    }
}

class ErrorModule {
}
ErrorModule.decorators = [
    { type: NgModule, args: [{
                providers: [
                    { provide: ErrorHandler, useClass: MyErrorHandler }
                ],
            },] },
];
/**
 * @nocollapse
 */
ErrorModule.ctorParameters = () => [];

/**
 * Generated bundle index. Do not edit.
 */

export { ErrorModule, MyErrorHandler as ɵa };
//# sourceMappingURL=error.js.map
